var global_url = "";
var grid;
var mytab
function onInitPages() {
    grid = $("#rsltgrid").ligerGrid({
        checkbox: true,
        columns: [
        { display: 'Name', name: 'name', align: 'left', width: 300 },
        { display: 'Module', name: 'module', align: 'left', width: 100 },
        { display: 'Mode', name: 'mode', align: 'left', width: 100 },
        { display: 'Test', name: 'test', align: 'left', width: 100 },
        { display: 'Port', name: 'port', align: 'left', width: 100 },
        { display: 'Date', name: 'datetime', align: 'left', width: 200 },
		{ display: 'Type', name: 'rsltype', align: 'left', width: 100 },
        ], pageSize: 20, data: { Rows: griddata }, sortName: 'name',
        width: '99.9%', height: '99%',
        selectRowButtonOnly: true,
        toolbar: {
             items: [
				{ text: 'View', click: viewResult, img: '../images/view.png' },
				{ line: true },
				{ text: 'PDF', click: result2PDF, img: '../images/PDF.png' },
				{ line: true },
				{ text: 'Download', click: downloadResults, img: '../images/download.png' },
			 	{ line: true },
			  	{text: 'Show All', click: showAllResults, img: '' },
				{ line: true },
			  	{text: 'Advanced', click: advSettings, img: '' },
			  	{ line: true },
			  	{text: 'Filter', click: filterSettings, img: '../images/filter.png' },
             ]
         },
    });
}

function viewResult()
{
	var rows = grid.getCheckedRows();
    var rsltid_str = "";
    $(rows).each(function ()
    {
    	// Open page in new tab
    	addMyTab(this.id, this.name, this.path);
    });
}

function addMyTab(id, text, url) {
	if (!mytab) {
		mytab = parent.window.$("#framecenter").ligerTab({
	        width: "100%", height: "100%",
	        showSwitchInTab: false,
	        showSwitch: false,
	        dblClickToClose: false,
	        dragToMove: false,
	        contextmenu: true });
	}
	addtab(id, text, url)
}

function result2PDF()
{
	var rows = grid.getCheckedRows();
	if (rows.length <= 0) {
		$.ligerDialog.open({
	        width: 350,
	        title: 'PDF',
	        content: 'Please select some results.',
	        allowClose: false,
			buttons: [
				{ text: 'OK', onclick: function (item, dialog) {
					dialog.close();
					}
				}
			]
	    });
		return;
	}

    var rsltid_str = "";
    $(rows).each(function ()
    {
        rsltid_str += this.id + ",";
    });

    // Remote last unused comma
    rsltid_str = removeLastSeparator(rsltid_str);
    var elem = document.getElementById('cmd_form');
	if (elem) {
		var key_list = ['opertype', 'rsltid'];
		var val_list = ['pdf', rsltid_str];
		fillFormField(key_list, val_list);
		elem.submit();
	}
}

function downloadResults()
{
	var rows = grid.getCheckedRows();
	if (rows.length <= 0) {
		$.ligerDialog.open({
	        width: 350,
	        title: 'Download',
	        content: 'Please select some results.',
	        allowClose: false,
			buttons: [
				{ text: 'OK', onclick: function (item, dialog) {
					dialog.close();
					}
				}
			]
	    });
		return;
	}

    var rsltid_str = "";
    $(rows).each(function ()
    {
        rsltid_str += this.id + ",";
    });

    // Remote last unused comma
    rsltid_str = removeLastSeparator(rsltid_str);
    var elem = document.getElementById('cmd_form');
	if (elem) {
		var key_list = ['opertype', 'rsltid'];
		var val_list = ['download', rsltid_str];
		fillFormField(key_list, val_list);
		elem.submit();
	}
}

function removeLastSeparator(str) {
	if (str.length > 0)
		return str.substr(0, str.length - 1);
	else
		return str;
}

function showAllResults()
{
	var key_list = ['mode', 'test', 'port', 'jobid', 'account', 'locator', 'type', 'fname', 'prefix', 'suffix'];
	var val_list = ['', '', '', '', '', '', '', '', '', ''];
	var elem;
	for (var i = 0; i < key_list.length; i++) {
		elem = document.getElementById(key_list[i]);
		if (elem)
			elem.value = val_list[i];
	}
	submitForm();
}

function advSettings()
{
	var _url = "fileman.cgi?filter=fadv&" + encodeForm();
	$.ligerDialog.open({
        height:500,
        width: 500,
        title: 'Advance',
        name: 'dlg_adv_filter',
        url: _url, 
        showMax: false,
        showToggle: false,
        showMin: false,
        isResize: false,
        slide: false,
    });
}

function encodeForm()
{
	var str = "";
	var elem;
	var key_list = ['fmtype', 'module', 'mode', 'test', 'port', 'jobid', 'account', 'locator', 'type', 'fname', 'prefix', 'suffix'];
	for (var i = 0; i < key_list.length; i++) {
		elem = document.getElementById(key_list[i]);
		if (!elem)
			continue;
		str += key_list[i] + "=" + elem.value + "&";
	}

	if (str.length != 0)
		str = str.substr(0, str.length - 1);

	return str;
}

function encodeParentForm()
{
	var str = "";
	var elem;
	var key_list = ['fmtype', 'module', 'mode', 'test', 'port', 'jobid', 'account', 'locator', 'type', 'fname', 'prefix', 'suffix'];
	for (var i = 0; i < key_list.length; i++) {
		elem = parent.window.document.getElementById(key_list[i]);
		if (!elem)
			continue;
		str += key_list[i] + "=" + elem.value + "&";
	}

	if (str.length != 0)
		str = str.substr(0, str.length - 1);

	return str;
}

function dialogClose()
{
	parent.$.ligerDialog.close();
	parent.$(".l-dialog, .l-window-mask").remove();
}

function filterSettings()
{
	var _url = "fileman.cgi?filter=fpri&" + encodeForm();
	$.ligerDialog.open({
        height:750,
        width: 800,
        title: 'Filter',
        name: 'dlg_pri_filter',
        url: _url, 
        showMax: false,
        showToggle: false,
        showMin: false,
        isResize: false,
        slide: false,
    });
}

function getCheckedRows()
{
	var rows = grid.getCheckedRows();
    var str = "";
    $(rows).each(function ()
    {
        str += this.id + ",";
    });
    alert('checked' + str);
}

function initAdvFilter() {
	$("#adv_form").ligerForm();
	$("#adv_btn_ok").bind('click', function ()
	{
		var jobid_val = "";
		var acc_val = "";
		var loc_val = "";
		var type_val = "";
		var fname_val = "";
		var prefix_val = "";
		var suffix_val = "";
		var adv_key_list = ['adv_jobid', 'adv_account', 'adv_locator', 'adv_type', 'adv_file_name', 'adv_prefix', 'adv_suffix'];
		var elem;
		for (var i = 0; i < adv_key_list.length; i++) {
			elem = document.getElementById(adv_key_list[i]);
			if (!elem)
				continue;

			switch (i) {
				case 0:
					jobid_val = elem.value;
					break;
				case 1:
					acc_val = elem.value;
					break;
				case 2:
					loc_val = "";
					break;
				case 3:
					type_val = "";
					break;
				case 4:
					fname_val = elem.value;
					break;
				case 5:
					prefix_val = elem.value;
					break
				case 6:
					suffix_val = elem.value;
					break;
			}
		}

		var key_list = ['jobid', 'account', 'locator', 'type', 'fname', 'prefix', 'suffix'];
		var val_list = [jobid_val, acc_val, loc_val, type_val, fname_val, prefix_val, suffix_val];
		fillFormAdvFilterField(key_list, val_list);
		submitParentForm();

		dialogClose();
	});

	$("#adv_btn_cancel").bind('click', function ()
	{
		dialogClose();
	});
}

function initPriFilter() {
	//$("#pri_form").ligerForm();
	$("#pri_btn_ok").bind('click', function ()
	{
		var chk_module_vals = "";
		var chk_mode_vals = "";
		var chk_test_vals = "";
		var chk_port_vals = "";
		var opt_list;
		var opt_groups = ['field_rslt_type', 'field_module', 'field_mode', 'field_test', 'field_port'];
		var fmtype = "";
		for (var i = 0; i < opt_groups.length; i++) {
			opt_list = document.getElementById(opt_groups[i]).getElementsByTagName('input');
			if (i == 0) {
				// Result type options
				fmtype = getFileManType(opt_list);
			}
			else if (i == 1) {
				// Module options
				chk_module_vals = getCheckedOptions(opt_list);
			}
			else if (i == 2) {
				// Mode options
				chk_mode_vals = getCheckedOptions(opt_list);
			}
			else if (i == 3) {
				// Test options
				chk_test_vals = getCheckedOptions(opt_list);
			}
			else {
				// port options
				chk_port_vals = getCheckedOptions(opt_list);
			}
		}

		var key_list = [/*'fmtype', */'module', 'mode', 'test', 'port'];
		var val_list = [/*fmtype, */chk_module_vals, chk_mode_vals, chk_test_vals, chk_port_vals];
		fillFormPriFilterField(key_list, val_list);
		submitParentForm();

		dialogClose();
	});

	$("#pri_btn_cancel").bind('click', function ()
	{
		dialogClose();
	});
}

function getFileManType(opt_list) {
	var bRsltChecked = false;
	var bProfChecked = false;
	var str = "";
	for (var i = 0; i < opt_list.length; i++) {
		if ((opt_list[i].value == "Result")
			&& opt_list[i].checked) {
			bRsltChecked = true;
		} else if ((opt_list[i].value == "Profile")
			&& opt_list[i].checked) {
			bProfChecked = true;
		}
	}
	if (bRsltChecked && !bProfChecked)
		str = "rslt";
	else if (!bRsltChecked && bProfChecked)
		str = "prof";
	else if (bRsltChecked && bProfChecked)
		str = "screen";

	return str;
}

function getCheckedOptions(opt_list) {
	var str = "";
	for (var i = 0; i < opt_list.length; i++) {
		if (opt_list[i].checked) {
				str += opt_list[i].value + ",";
		}
	}
	str = str.substr(0, str.length - 1);
	return str;
}

function isOptionChecked(value) {
	if (value == "true")
		return true;
	else
		return false;
}

function fillFileManFormPriFilterField(key_list, val_list) {
	var elem;
	for (var i = 0; i < key_list.length; i++) {
		elem = parent.window.document.getElementById(key_list[i]);
		if (elem)
			elem.value = val_list[i];
	}
}

function fillFormPriFilterField(key_list, val_list) {
	var elem;
	for (var i = 0; i < key_list.length; i++) {
		elem = parent.window.document.getElementById(key_list[i]);
		if (elem)
			elem.value = val_list[i];
	}
}

function fillFormAdvFilterField(key_list, val_list) {
	var elem;
	for (var i = 0; i < key_list.length; i++) {
		elem = parent.window.document.getElementById(key_list[i]);
		if (elem)
			elem.value = val_list[i];
	}
}

function fillFormField(key_list, val_list) {
	var elem;
	for (var i = 0; i < key_list.length; i++) {
		elem = document.getElementById(key_list[i]);
		if (elem)
			elem.value = val_list[i];
	}
}

function submitForm() {
	var elem = document.getElementById('fm_form');
	if (elem)
		elem.submit();
}

function submitParentForm() {
	var elem = parent.window.document.getElementById('fm_form');
	if (elem)
		elem.submit();
}

