var mytab;
function addtab(id, atext, aurl) {
    if (!mytab) return;
    mytab.addTabItem({tabid: id, text: atext, url: aurl})
}

function initHomePage() {
	$("#main_layout").ligerLayout({topHeight: 40, leftWidth: 200});
	var data = [];
	data.push({ url: 'cgi-bin/fileman.cgi?fmtype=prof', id: 1, pid: 0, text: 'Profile' });
	data.push({ url: '', id: 2, pid: 0, text: 'Manual' });
	data.push({ url: 'cgi-bin/fileman.cgi?fmtype=rslt', id: 3, pid: 0, text: 'Results' });
	data.push({ url: 'cgi-bin/fileman.cgi?fmtype=screen', id: 4, pid: 0, text: 'Screen Shots' });
	data.push({ url: 'vnc-home.html', id: 5, pid: 0, text: 'Platform Remote Control' });
	data.push({ url: 'cgi-bin/login.cgi?', id: 6, pid: 0, text: 'Remote Test Sessions' });
	data.push({ url: 'cgi-bin/remreboot.cgi?', id: 7, pid: 0, text: 'System Reset' });
	data.push({ url: 'cgi-bin/userman.cgi?usrman=list', id: 8, pid: 0, text: 'User Management' });
	data.push({ url: 'help/help.html', id: 9, pid: 0, text: 'Help' });

	var tree1 = $("#left_tree").ligerTree({
	    data: data,
	    checkbox: false,
	    slide: false,
	    textFieldName: 'text',
	    idFieldName: 'id',
	    parentIDFieldName: 'pid',
	    parentIcon: null,
	    childIcon: null,
	    onSelect: function (node) {
	    	if (!node.data.url) return;
    		var tabid = $(node.target).attr("tabid");
	        if (!tabid) {
	            tabid = new Date().getTime();
	            $(node.target).attr("tabid", tabid);
	        }
	    	/*if (node.data.text == 'System Reset') {
				$.ligerDialog.open({
			        height:100,
			        width: 300,
			        title: 'Remote Reboot',
			        name: 'dlg_remreboot',
			        content: 'Unit will be reboot. Do you want to continue?', 
			        allowClose: false,
			        buttons: [
			        	{ text: 'OK', onclick: function (item, dialog) {
						        f_addTab(tabid, node.data.text, node.data.url);
								dialog.close();
							}
						},
						{ text: 'Cancel', onclick: function (item, dialog) {
								dialog.close();
								return;
							}
						}
					]
			    });
			} else {
		        f_addTab(tabid, node.data.text, node.data.url);
			}*/
			if (node.data.text == 'Help') {
				var sys = {};
				var ua = navigator.userAgent.toLowerCase();
				var s;
				if (s = ua.match(/msie ([\d.]+)/))
					sys.ie = s[1];
				else if (!!window.ActiveXObject || "ActiveXObject" in window) {
					sys.ie = ua.match(/rv:([\d.]+)/)[1];
				} else if (s = ua.match(/firefox\/([\d.]+)/))
					sys.firefox = s[1];
				else if (s = ua.match(/chrome\/([\d.]+)/))
					sys.chrome = s[1];
				else if (s = ua.match(/opera.([\d.]+)/))
					sys.opera = s[1];
				else if (s = ua.match(/version\/([\d.]+).*safari/))
					sys.safari = s[1];

				/*if (sys.ie) alert("IE");
				if (sys.firefox) alert("FireFox");
				if (sys.chrome) alert("Chrome");
				if (sys.opera) alert("Opera");
				if (sys.safari) alert("Safari");*/
			}
			f_addTab(tabid, node.data.text, node.data.url);
	    }
	});

    mytab = $("#framecenter").ligerTab({
        width: "100%", height: "100%",
        showSwitchInTab: false,
        showSwitch: false,
        dblClickToClose: false,
        dragToMove: false,
        contextmenu: true });

    function f_addTab(tabid, text, url) {
        mytab.addTabItem({
            tabid: tabid,
            text: text,
            url: url,
            callback: function () {
            }
        });
    }

    function onSelect(note) {
        alert('onSelect:' + note.data.text);
    }
}

function updateDevInfo() {
	var elem = parent.window.document.getElementById("ipaddr");
	if (elem)
		elem.innerHTML = "IP: " + document.getElementById("dev_ip").value;

	elem = parent.window.document.getElementById("sn");
	if (elem)
		elem.innerHTML = "S/N: " + document.getElementById("dev_sn").value;
}